#!/bin/bash

#Criado por: Cristiano Rodrigues Siqueira Soares
#Descrição: Script de atualização do Sig Frente.

versaopacotes(){
    python << EOF
import nfe
print "Python NFC-e:", nfe.__version__
import SigUtils
print "SigUtils:", SigUtils.__version__
EOF
}


#----------------------------------------
#Altere a versão caso seja necessário
#Siga o padrão como neste exemplo: 21L3
suv=$(lsb_release -r -s)
#----------------------------------------

versao=21L7
databkp=$(date "+%d%m%Y_sigpdv")

user=`whoami`
if [[ $user == "root" ]]; then
    echo "--> Fechando processos Python"
    sleep 3
    killall python

    echo "--> Criando TAR da pasta sigpdv"
    sleep 3
    cd /usr/local/
    tar cfvz $databkp.tar.gz sigpdv

    cd /usr/local/sigpdv/logs/

    echo "--> Deletando arquivos Exportar"
    sleep 3
    rm -rf exportar.0* exportar.2* sigpdv.0* sigpdv.2* stoqdrivers.0* stoqdrivers.2* update.0* update.2*
    rm -rf exportar.10-03-2024.log exportar.11-03-2024.log exportar.12-03-2024.log exportar.13-03-2024.log exportar.14-03-2024.log exportar.15-03-2024.log exportar.16-03-2024.log exportar.17-03-2024.log exportar.17-03-2024.log exportar.17-03-2024.log

    echo "--> Deletando arquivos Sigpdv"
    sleep 3
    rm -rf sigpdv.10-03-2024.log sigpdv.11-03-2024.log sigpdv.12-03-2024.log sigpdv.13-03-2024.log sigpdv.14-03-2024.log sigpdv.15-03-2024.log sigpdv.16-03-2024.log

    echo "--> Deletando arquivos Stoqdrivers"
    sleep 3
    rm -rf stoqdrivers.10-03-2024.log stoqdrivers.11-03-2024.log stoqdrivers.12-03-2024.log stoqdrivers.13-03-2024.log stoqdrivers.14-03-2024.log stoqdrivers.15-03-2024.log stoqdrivers.16-03-2024.log stoqdrivers.17-03-2024.log

    echo "--> Deletando arquivos Update"
    sleep 3
    rm -rf update.10-03-2024.log update.11-03-2024.log update.12-03-2024.log update.13-03-2024.log update.14-03-2024.log update.15-03-2024.log update.16-03-2024.log update.17-03-2024.log

    cd /usr/local/sigpdv/

    echo "--> Deletando arquivos *.DMP"
    sleep 3
    rm -rf CliSiTef.20*

    cd /tmp/

    echo "--> Baixando e instalando Python NFE 4.51.14"
    sleep 3
    wget download.sigsolucoes.net.br/produtos/crss/PDV/nfe-4.51.14.tar.gz
    tar xfvz nfe-4.51.14.tar.gz
    cd nfe-4.51.14/
    python setup.py install

    sleep 3
    cd /tmp/
    if [[ $suv == '16.04' ]];then
        echo "--> Baixando e instalando SigUtils 2.4.9"
        wget download.sigsolucoes.net.br/produtos../crss/PDV/sigutils-2.4.9.tar.gz
        tar xfvz sigutils-2.4.9.tar.gz
        cd sigutils-2.4.9/
        python setup.py install
    elif [[ $suv == '18.04' ]];then
        echo "--> Baixando e instalando SigUtils 2.4.12"
        wget download.sigsolucoes.net.br/produtos/crss/PDV/SigUtils-2.4.12.tar.gz
        tar xfvz SigUtils-2.4.12.tar.gz
        cd SigUtils-2.4.12/
        python setup.py install
    elif [[ $suv == '14.04' ]];then
        echo "| Versão 14 do Linux  |"
        echo "| Caixa desatualizado |"
        echo "| Necessário formatar |"
        echo "| Processo  encerrado |"
        exit
    else
        echo "Algo errado na verão do Sistema Linux"
    fi

    echo "--> Baixando TAR do sigpdv $versao e descampactando. . ."
    sleep 3
    cd /tmp/
    wget download.sigsolucoes.net.br/produtos/crss/PDV/sigpdv_$versao.tar.gz
    cp sigpdv_$versao.tar.gz /usr/local/
    cd /usr/local/
    tar xfvz sigpdv_$versao.tar.gz
    rm -rf sigpdv_$versao.tar.gz
    chown caixa:caixa /usr/local/sigpdv/ -R

    versaopacotes

    echo "--> Processo finalizado"
else
    echo "--> EXECUTE COMO ROOT!"
    exit
fi
